File dialogs don't work on Ubuntu

2016-09-15 03:07 AM - Frank Sokolic

Status: Closed

Priority: High

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 23491

Description

None of the file open or save dialogs work. I have to use the Browser panel to load layers and when saving I have to type in the full path

manually.

This is on Ubuntu 16.04, QGIS 2.17.0 code revision cc3a053.

I haven't been running daily updates but the last good state of code was git20160902 8688fef, which was installed on 2016-09-13.

History

#1 - 2016-09-15 03:10 AM - Frank Sokolic

- File Screenshot_open_project.png added

#2 - 2016-09-15 04:07 AM - marcobra -

- File Schermata_del_2016-09-15_12-05-40.png added

Same here on Ubuntu 16.04.1 LTS:

Versione di QGIS 2.17.0 -  Rev. code QGIS f7a1dcd

------------------------------------

apt-cache policy qgis

qgis:

  Installato: 1:2.17.0+git20160913+f7a1dcd+24xenial

  Candidato:  1:2.17.0+git20160913+f7a1dcd+24xenial

  Tabella versione: *** 1:2.17.0+git20160913+f7a1dcd+24xenial 500

        500 http://qgis.org/debian-nightly xenial/main amd64 Packages

        100 /var/lib/dpkg/status

     2.8.6+dfsg-1build1 500

        500 http://archive.ubuntu.com/ubuntu xenial/universe amd64 Packages

#3 - 2016-09-17 09:07 AM - Jürgen Fischer

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Fixed in commit:59583e9 and commit:f9219b3
